Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class HandlerAction.NoAction

    java.lang.Object
      ix.ip2.HandlerAction
          ix.ip2.HandlerAction.NoAction

Direct Known Subclasses:
  CompletionHandler.NoAction

Enclosing class:
  HandlerAction

    public static class HandlerAction.NoAction

extends HandlerAction

Handles an item by doing nothing. Used when it's convenient to select an action without actually handling the item, so that all other actions remain available and can be selected later on.

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.HandlerAction
`HandlerAction.Automatic, HandlerAction.AutomaticWhenBound, HandlerAction.Manual, HandlerAction.NoAction, HandlerAction.NotApplicable`

Field Summary
`static java.lang.String` | `NO_ACTION_DESCRIPTION`

Fields inherited from class ix.ip2.HandlerAction
`shortDescription`

Constructor Summary
`HandlerAction.NoAction()`

Method Summary
`void` | `handle(AgendaItem item)` Handle the item in the manner appropriate to this handler-action.

Methods inherited from class ix.ip2.HandlerAction
`canAlwaysBeTakenNow, computeStatus, getActionDescription, getUnreadyReason, isReady, isStillValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_ACTION_DESCRIPTION

    public static final java.lang.String NO_ACTION_DESCRIPTION

See Also:
  Constant Field Values

Constructor Detail

### HandlerAction.NoAction

    public HandlerAction.NoAction()

Method Detail

### handle

    public void handle(AgendaItem item)

  Description copied from class: `HandlerAction`
  Handle the item in the manner appropriate to this handler-action. The method in the HandlerAction class merely changes the item's status to COMPLETE and is overridden in subclasses that handle the item in more interesting ways.

  Overrides:
    `handle` in class `HandlerAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD